
QGIS Application - Bug report #16074

Files CSV do not generate point

2017-01-13 05:28 AM - dany Lefeuvre

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/Delimited Text 

Affected QGIS version:2.18.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 23989

Description

When I create a new layer from CSV files, point is not generated. 

The source of layer is :

file:///D:/travail/MATA/AVRANCHESt.csv?encoding=System&type=csv&delimiter=;&decimalPoint=,&xField=X&yField=Y&spatialIndex=

es&subsetIndex=no&watchFile=no

In the file PB_layer_propertie, you can see that I can't parametrize style.

History

#1 - 2017-02-27 02:02 PM - Giovanni Manghi

- Priority changed from Severe/Regression to Normal

- Category set to Data Provider/Delimited Text 

- Status changed from Open to Feedback

Please attach sample data.

#2 - 2017-02-28 12:31 AM - dany Lefeuvre

- File AVRANCHESt.csv added

Hi, with sample data in EPSG:2154. I try with the last version of LTR and testing, I have the same problem.

#3 - 2017-02-28 11:30 AM - Giovanni Manghi

- Resolution set to invalid

- File Screenshot_20170228_193559.png added

- Status changed from Feedback to Closed

The X/Y values have a space in the middle of numbers that must be striped.

Once you do that the point text layer imports as expected and you have the styling options. See attached image.

Files

PB_layer_propertie.png 31.7 KB 2017-01-13 dany Lefeuvre

AVRANCHESt.csv 27.8 KB 2017-02-27 dany Lefeuvre

Screenshot_20170228_193559.png 214 KB 2017-02-28 Giovanni Manghi
